Bug 249482 - Screen too dark when resuming from standby
Screen too dark when resuming from standby
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-24 18:58 EDT by Adam Huffman
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.6.22.5-76 with HAL quirk
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-23 12:23:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output showing suspend and resume (52.90 KB, text/plain)
2007-07-24 18:58 EDT, Adam Huffman
no flags Details

  None (edit)
Description Adam Huffman 2007-07-24 18:58:51 EDT
Description of problem:
With recent kernels I am at last able to suspend to RAM and resume on a Vaio
SZ3XP.  However, when I resume the screen is far too dark.  Even if I modprobe
the sony_laptop module, echo-ing values into
/sys/class/backlight/sony/brightness doesn't have any effect.

Version-Release number of selected component (if applicable):
2.6.22.1-33.fc7

How reproducible:
Every time

Steps to Reproduce:
1. Suspend laptop to RAM
2. Resume
3.
  
Actual results:

Screen is far too dark and the brightness cannot be increased

Expected results:

The screen should have normal brightness

Additional info:

Hardware details are here:

http://smolt.fedoraproject.org/show?UUID=50e550b8-d9bc-4262-b41f-75b41faf7e0c
Comment 1 Adam Huffman 2007-07-24 18:58:51 EDT
Created attachment 159894 [details]
dmesg output showing suspend and resume
Comment 2 Thomas J. Baker 2007-07-26 09:54:19 EDT
Me too on a Dell XPS M1210. 


http://smolt.fedoraproject.org/show?UUID=2131eb86-70b6-47fa-9346-2dc8e44bc2d2
Comment 3 Adam Huffman 2007-08-13 18:02:17 EDT
I'm now running rawhide on the Vaio and this problem is still there.
Comment 4 Christopher Brown 2007-09-20 08:03:14 EDT
Hello Adam, Thomas,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel? If you are, could you try
rmmoding the sony_laptop module before suspending and then re-loading on resume
and see if this works.

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 5 Adam Huffman 2007-09-21 14:41:19 EDT
Hello

The last time suspending to RAM worked (which was a week or so ago), the
darkened screen problem had been fixed.

As of today, I can no longer suspend to RAM, so I can't really confirm it currently.
Comment 6 Thomas J. Baker 2007-09-21 14:59:30 EDT
I'm running rawhide now too (F8T2+) and the problem persists. I think this is a
HAL quirks problem. I made a launcher that just does a 'pm-suspend
--quirk-vbe-post' and it works fine like that.

I've opened a bug for my laptop about this here:

https://bugzilla.redhat.com/show_bug.cgi?id=301041
Comment 7 Christopher Brown 2007-09-21 19:34:51 EDT
(In reply to comment #6)
> I'm running rawhide now too (F8T2+) and the problem persists. I think this is a
> HAL quirks problem. I made a launcher that just does a 'pm-suspend
> --quirk-vbe-post' and it works fine like that.

Adam,

Does the above work for you?
Comment 8 Adam Huffman 2007-09-22 15:14:42 EDT
Yes, that does work, so feel free to close this bug.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.